import { Store } from '@ngrx/store';
import * as i0 from "@angular/core";
export declare class MultiStoreService {
    private store;
    globalId: string;
    constructor(store: Store<any>);
    setId(id: any): void;
    dispatch(id: any, action: any): void;
    select(id: any, fn: any): import("rxjs").Observable<any>;
    registerComponent(id: any, reducers: any): void;
    destroyComponent(id: any, reducers: any): void;
    static ɵfac: i0.ɵɵFactoryDef<MultiStoreService, never>;
    static ɵprov: i0.ɵɵInjectableDef<MultiStoreService>;
}
export declare class IsolatedMultiReduxHelper {
    id: any;
    multiStore: MultiStoreService;
    constructor(id: any, multiStore: MultiStoreService);
    dispatch(action: any): void;
    select(fn: any): import("rxjs").Observable<any>;
    getId(): any;
}
